Bug 801000 - New package python-argparse in CloudForms 1.0
New package python-argparse in CloudForms 1.0
Status: CLOSED ERRATA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: python-argparse (Show other bugs)
1.0.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: John Eckersberg
Martin Kočí
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 09:21 EST by John Eckersberg
Modified: 2012-05-15 15:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 15:11:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Eckersberg 2012-03-07 09:21:12 EST
python-argparse should be included as part of CloudForms 1.0
Comment 3 Rehana 2012-03-13 06:55:45 EDT
yum info python-argparse
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
Installed Packages
Name        : python-argparse
Arch        : noarch
Version     : 1.1
Release     : 1.el6_0
Size        : 612 k
Repo        : installed
From repo   : aeolus-brew-nightly
Summary     : Optparse inspired command line parser for Python
URL         : http://code.google.com/p/argparse/
License     : ASL 2.0
Description : 
            : The argparse module is an optparse-inspired command line parser  
              that improves on optparse by:
            :  * handling both optional and positional arguments
            :  * supporting parsers that dispatch to sub-parsers
            :  * producing more informative usage messages
            :  * supporting actions that consume any number of command-line args
            :  * allowing types and actions to be specified with simple 
                callables
            :     instead of hacking class attributes like STORE_ACTIONS or 
             CHECK_METHODS
            : 
            : as well as including a number of other more minor improvements on 
              the optparse API.

rpm -qa | grep python-argparse
python-argparse-1.1-1.el6_0.noarch


========================================================
Repo Used : 
http://download.lab.bos.redhat.com/rel-eng/CloudForms/1.0/2012-03-12.1/el6-ce/
===================================================================

rpm -qa|grep aeolus
aeolus-conductor-doc-0.8.0-41.el6.noarch
rubygem-aeolus-cli-0.3.0-13.el6.noarch
aeolus-all-0.8.0-41.el6.noarch
aeolus-conductor-0.8.0-41.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-configure-2.5.0-18.el6.noarch
aeolus-conductor-daemons-0.8.0-41.el6.noarch
Comment 4 errata-xmlrpc 2012-05-15 15:11:04 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0650.html

Note You need to log in before you can comment on or make changes to this bug.